Skip to content

List all followers of a topic

Request

Returns a list of all users who follow the topic, and allows for pagination of the records.
Response body is an array of records.
Resources

Security
oauth2_as_a_user(Required scopes: content.read) or oauth2_as_a_server(Required scopes: content.read)
Path
channel_idintegerrequired

ID of the topic. The topic must exist in the program.

Query
page.sizeinteger, (int64)

Return page.size number of records starting at size*number. The default page size is 10 (number of records per page), resulting in the first page being retrieved. The maximum page size is 100.

page.numberinteger, (int64)

Using classical pagination, the page number to return. Default is 1

curl -i -X GET \
  'https://partner.socialchorus.com/v2/channels/{channel_id}/followers?page.size=0&page.number=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objects(Content.ChannelFollower.Resource)required
metaobject
Response
{ "data": [ {} ], "meta": { "pagination": {} } }